### Method

# Vips Image measure

#### Declaration [src]

    int
    vips_measure (
      VipsImage* in,
      VipsImage** out,
      int h,
      int v,
      ...
    )

#### Description [src]

Analyse a grid of colour patches, producing an array of patch averages. The mask has a row for each measured patch and a column for each image band. The operations issues a warning if any patch has a deviation more than 20% of the mean. Only the central 50% of each patch is averaged.

If the chart does not fill the whole image, use the optional `left`, `top`, `width`, `height` arguments to indicate the position of the chart.

Optional arguments

- `left`: `gint`, area of image containing chart
- `top`: `gint`, area of image containing chart
- `width`: `gint`, area of image containing chart
- `height`: `gint`, area of image containing chart

See also

`vips_avg()`, `vips_deviate()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Array of measurements.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`h`

  Type: `int`

  Patches across chart.

`v`

  Type: `int`

  Patches down chart.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.